# CMD_UNUSED_CLI

Added in version 4.4.

Command Line:

  `-W[no-][error=]unused-cli`

Presets:

  `warnings.unusedCli`, `errors.unusedCli`

Default:

  Ignore

Warn about variables that are declared on the command line, but not used.

This diagnostic is issued outside of the configuration / generation phases. Accordingly, while the action of this warning category can be queried as usual, the `cmake_diagnostic()` command is unable to affect the action of this diagnostic.